libzypp: zypp::solver::detail::SolverQueueItemUpdate Class Reference

libzypp 17.38.9

zypp::solver::detail::SolverQueueItemUpdate Class Reference

`#include <zypp/solver/detail/SolverQueueItemUpdate.h>`

Inheritance diagram for zypp::solver::detail::SolverQueueItemUpdate:

## Public Member Functions
| SolverQueueItemUpdate (const ResPool &pool, const PoolItem &item, bool soft=false)
virtual | ~SolverQueueItemUpdate ()
virtual std::ostream & | dumpOn (std::ostream &str) const
bool | isSoft (void) const
virtual bool | addRule (sat::detail::CQueue &q)
virtual SolverQueueItem_Ptr | copy (void) const
virtual int | cmp (SolverQueueItem_constPtr item) const

## Private Attributes
PoolItem | _item
bool | _soft

## Friends
std::ostream & | operator<< (std::ostream &str, const SolverQueueItemUpdate &obj)

## Detailed Description

Definition at line 44 of file SolverQueueItemUpdate.h.

## Constructor & Destructor Documentation

## ◆ SolverQueueItemUpdate()

zypp::solver::detail::SolverQueueItemUpdate::SolverQueueItemUpdate | ( | const ResPool & | pool,
|  | const PoolItem & | item,
|  | bool | soft = false )

Definition at line 58 of file SolverQueueItemUpdate.cc.

## ◆ ~SolverQueueItemUpdate()

zypp::solver::detail::SolverQueueItemUpdate::~SolverQueueItemUpdate | ( |  | ) |
| virtual

Definition at line 67 of file SolverQueueItemUpdate.cc.

## Member Function Documentation

## ◆ dumpOn()

std::ostream & zypp::solver::detail::SolverQueueItemUpdate::dumpOn | ( | std::ostream & | str | ) | const
| virtual

Definition at line 48 of file SolverQueueItemUpdate.cc.

## ◆ isSoft()

bool zypp::solver::detail::SolverQueueItemUpdate::isSoft | ( | void |  | ) | const
| inline

Definition at line 65 of file SolverQueueItemUpdate.h.

## ◆ addRule()

bool zypp::solver::detail::SolverQueueItemUpdate::addRule | ( | sat::detail::CQueue & | q | ) |
| virtual

Definition at line 73 of file SolverQueueItemUpdate.cc.

## ◆ copy()

SolverQueueItem_Ptr zypp::solver::detail::SolverQueueItemUpdate::copy | ( | void |  | ) | const
| virtual

Definition at line 87 of file SolverQueueItemUpdate.cc.

## ◆ cmp()

int zypp::solver::detail::SolverQueueItemUpdate::cmp | ( | SolverQueueItem_constPtr | item | ) | const
| virtual

Definition at line 97 of file SolverQueueItemUpdate.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const SolverQueueItemUpdate & | obj )
| friend

Definition at line 60 of file SolverQueueItemUpdate.h.

## Member Data Documentation

## ◆ _item

PoolItem zypp::solver::detail::SolverQueueItemUpdate::_item
| private

Definition at line 48 of file SolverQueueItemUpdate.h.

## ◆ _soft

bool zypp::solver::detail::SolverQueueItemUpdate::_soft
| private

Definition at line 49 of file SolverQueueItemUpdate.h.

The documentation for this class was generated from the following files:

- zypp/solver/detail/SolverQueueItemUpdate.h
- zypp/solver/detail/SolverQueueItemUpdate.cc